.heroContentContainer.plans {
    display: flex;
    flex-direction: column;
    justify-content: start;
    padding-top: 8px;
}

.plansContentContainer {
    display: flex;
    justify-content: space-around;
}

.plansTitle {
    font-family: "oswald";
    font-weight: normal;
    font-size: 2.2vw;
    color: #FFFFFF;
    text-align: center;
    margin-bottom: 10px;
    letter-spacing: 2.5px;
}

.plansSubTitle {
    font-family: "oswald";
    font-weight: normal;
    font-size: 1.2vw;
    color: #FFFFFF;
    text-align: center;
    margin-bottom: 35px;
}

.plansCalculatorContainer {
    width: 60%;
    display: flex;
    flex-direction: column;
    color: white;
    padding: 30px 40px;
    border: 2px solid #22A8D7;
    border-radius: 20px;
}

.plansCalculatorInputs {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-bottom: 35px;
}

hr {
    border: 1px solid #22A8D7;
    margin-bottom: 35px;
}

.plansCalculatorInput {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.plansCalculatorInputHeader {
    display: flex;
    justify-content: space-between;
}

.plansCalculatorInputHeaderTitle {
    display: flex;
    align-items: center;
    gap: 8px;
}

.plansCalculatorInputHeader img {
    width: 1.3vw;
    height: auto;
}

.plansCalculatorInputHeaderValue {
    border: 2px solid #22A8D7;
    border-radius: 8px;
    padding: 4px 8px;
    background: transparent;
    outline: none;
    box-shadow: none;
    text-align: center;
    width: 6ch;
    font-size: 1rem;
    color: inherit;
}

.plansCalculatorInputHeaderValue::-webkit-outer-spin-button,
.plansCalculatorInputHeaderValue::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.plansCalculatorInputHeaderValue {
    -moz-appearance: textfield;
}

input[type="range"] {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    background: transparent; 
    cursor: pointer;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    height: 16px;
    width: 16px;
    border-radius: 50%;
    background: #0056b3;
    border: 2px solid #fff;
    box-shadow: 0 0 4px rgba(0,0,0,0.2);
    margin-top: -6px;
}

input[type="range"]::-moz-range-thumb {
    height: 16px;
    width: 16px;
    border: none;
    border-radius: 50%;
    background: #0056b3;
    border: 2px solid #fff;
    box-shadow: 0 0 4px rgba(0,0,0,0.2);
}

input[type="range"]::-webkit-slider-runnable-track {
    width: 100%;
    height: 6px;
    background: #333a46;
    border-radius: 4px;
}

input[type="range"]::-moz-range-track {
    width: 100%;
    height: 6px;
    background: #333a46;
    border-radius: 4px;
}

.plansCalculatorInputFooter {
    display: flex;
    justify-content: space-between;
    font-size: 0.8vw;
}

.plansCalculatorTotalFooter {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.plansCalculatorTotalContainer {
    display: flex;
    align-items: end;
}

.plansCalculatorTotalLabel {
    font-size: 1vw;
    color: rgb(158, 158, 158);
    margin-bottom: 5px;
}

.plansCalculatorTotalPrefix {
    font-size: 2.5vw;
    line-height: 1;
}

.plansCalculatorTotalValue {
    font-size: 2.5vw;
    line-height: 1;
}

.plansCalculatorTotalCurrency {
    color: rgb(158, 158, 158);
    margin-left: 5px;
}

.plansCalculatorActivateCapacity {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 12px 25px;
    gap: 8px;
    cursor: pointer;
    font-size: 1vw;
    color: #050b1a;
    font-weight: bold;
    background-color: #d4af37;
    box-shadow: 4px 6px 12px #D4AF375C;
    border-radius: 10px;
}

.plansCalculatorActivateCapacity:hover {
    background-color: #c29b2e;
    scale: 1.02;
}

.plansCalculatorActivateCapacity img {
    width: 1vw;
    height: auto;
}

.plansAsideContainer {
    width: 30%;
}

.plansBenefitsContainer {
    border: 2px solid #22A8D7;
    border-radius: 20px;
    padding: 20px 32px;
    margin-bottom: 15px;
}

.plansBenefitsTitle {
    color: white;
    margin-bottom: 10px;
}

.plansBenefitsList {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.plansBenefitItem {
    display: flex;
    align-items: start;
    justify-content: space-between;
    gap: 15px;
}

.plansBenefitItem img {
    padding: 6px;
    border: 1px solid #504c34;
    border-radius: 12px;
    width: 12%;
    height: auto;
}

.plansBenefitItemText {
    width: 80%;
}

.plansBenefitItemTextTitle {
    color: white;
}

.plansBenefitItemTextDescription {
    color: rgb(158, 158, 158);
}

.planFreeTest {
    border: 2px solid #22A8D7;
    border-radius: 10px;
    padding: 12px 20px;
    cursor: pointer;
    font-size: 0.8vw;
    color: white;
    background-color: transparent;
    text-align: center;
}

.planFreeTest:hover {
    background-color: #22A8D7;
}

@media (max-width: 1000px){
    .hero {
        margin-top: 85px;
    }

    .heroContentContainer.plans {
        width: 90%;
        margin: auto;
    }

    .plansContentContainer {
        flex-direction: column;
        gap: 15px;  
    }

    .plansTitle {
        font-size: 5.5vw;
    }

    .plansSubTitle {
        font-size: 3.5vw;
    }

    .plansCalculatorContainer {
        width: 100%;
        padding: 20px;
    }

    .plansCalculatorInputHeader img {
        width: 5vw;
    }

    .plansCalculatorInputHeaderValue {
        width: 10ch;
        font-size: 3vw;
    }

    /* input[type="range"]::-moz-range-thumb {
        width: 5vw;
        height: 5vw;
    }

    input[type="range"]::-webkit-slider-runnable-track {
        height: 10px;
    }

    input[type="range"]::-moz-range-track {
        height: 10px;
    } */

    .plansCalculatorInputFooter {
        font-size: 2.2vw;
    }

    .plansCalculatorTotalLabel {
        width: 80%;
        font-size: 2.4vw;
    }

    .plansCalculatorTotalPrefix {
        font-size: 6vw;
    }

    .plansCalculatorTotalValue {
        font-size: 6vw;
    }

    .plansCalculatorActivateCapacity {
        font-size: 2.7vw;
        padding: 10px 8px;
        text-align: center;
    }

    .plansCalculatorActivateCapacity img {
        width: 3.6vw;
    }

    .plansAsideContainer {
        width: 100%;
    }

    .plansBenefitItem img {
        width: 15%;
    }

    .planFreeTest {
        font-size: 3vw;
    }
}